Plank.ItemFactory.default_make_element – plank Reference Manual

# default_make_element

## Description:

protected DockElement default_make_element (File file, string launcher)

Creates a new DockElement for a launcher parsed from a .dockitem.

## Parameters:

file | the GLib.File of .dockitem file that was parsed
launcher | the launcher name from the .dockitem

## Returns:

the new DockElement created